# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/panel/samsung,amoled-mipi-dsi.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Samsung AMOLED MIPI-DSI panels

maintainers:
  - Hoegeun Kwon <hoegeun.kwon@samsung.com>

allOf:
  - $ref: panel-common.yaml#

  - if:
      properties:
        compatible:
          contains:
            enum:
              - samsung,s6e3ha2
              - samsung,s6e3hf2
    then:
      required:
        - enable-gpios

properties:
  compatible:
    enum:
        # Samsung S6E63J0X03 1.63" 320x320 AMOLED panel
      - samsung,s6e63j0x03
        # Samsung S6E3HA2 5.7" 1440x2560 AMOLED panel
      - samsung,s6e3ha2
        # Samsung S6E3HF2 5.65" 1600x2560 AMOLED panel
      - samsung,s6e3hf2

  reg: true
  reset-gpios: true
  enable-gpios: true
  te-gpios: true

  vdd3-supply:
    description: I/O voltage supply

  vci-supply:
    description: voltage supply for analog circuits

required:
  - compatible
  - reg
  - vdd3-supply
  - vci-supply
  - reset-gpios

additionalProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>

    dsi {
        #address-cells = <1>;
        #size-cells = <0>;

        panel@0 {
            compatible = "samsung,s6e3ha2";
            reg = <0>;
            vdd3-supply = <&ldo27_reg>;
            vci-supply = <&ldo28_reg>;
            reset-gpios = <&gpg0 0 GPIO_ACTIVE_LOW>;
            enable-gpios = <&gpf1 5 GPIO_ACTIVE_HIGH>;
            te-gpios = <&gpf1 3 GPIO_ACTIVE_HIGH>;
        };
    };

...
